Update your SIP endpoint.
This endpoint allows you to update data about the SIP endpoint.
It accepts SIP endpoint's unique ID in path and update parameters in body. In case new password was generated during the update, the response will contain a new password. Make sure to store it.
The SIP endpoint unique ID can be retrieved from GET /api/v1/sip/endpoints, which returns the list of SIP endpoints assigned to the current customer.
Path Parameters
SIP endpoint's unique ID
1 <= valueHeader Parameters
Your API token
Request Body
application/json
SIP endpoint's update parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://dev-refactor-api-e.voipenv.uk/api/v1/sip/endpoints/1" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"endpoint": {
"auth": "ip",
"created_at": "string",
"description": "string",
"disabled_at": "string",
"id": 0,
"ip_acl": "string",
"is_active": true,
"name": "string",
"username": "string"
},
"password": "string"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}